Package ngs

# Interface PileupEventIterator

All Superinterfaces:
  `PileupEvent`

All Known Subinterfaces:
  `Pileup`, `PileupIterator`

public interface PileupEventIterator extends PileupEvent
Iterates across a list of PileupEvents

- ## Field Summary

  ### Fields inherited from interface ngs.PileupEvent

  `alignment_minus_strand, alignment_start, alignment_stop, deletion, insertion, insertion_before_deletion, insertion_before_match, insertion_before_mismatch, intron_minus, intron_plus, intron_unknown, match, mismatch, normal_indel, read_gap, read_overlap, replacement`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `nextPileupEvent()`
  Advance to first PileupEvent on initial invocation advance to next PileupEvent subsequently
  `void`
  `resetPileupEvent()`
  resets to initial iterator state the next call to "nextPileupEvent" will advance to first event

  ### Methods inherited from interface ngs.PileupEvent

  `getAlignmentBase, getAlignmentId, getAlignmentPosition, getAlignmentQuality, getEventIndelType, getEventRepeatCount, getEventType, getFirstAlignmentPosition, getInsertionBases, getInsertionQualities, getLastAlignmentPosition, getMappingQuality`

- ## Method Details

  - ### nextPileupEvent

    boolean nextPileupEvent() throws ErrorMsg
    Advance to first PileupEvent on initial invocation advance to next PileupEvent subsequently
    Returns:
      false if no more PileupEvents are available.
    Throws:
      `ErrorMsg` - if more PileupEvents should be available, but could not be accessed.

  - ### resetPileupEvent

    void resetPileupEvent() throws ErrorMsg
    resets to initial iterator state the next call to "nextPileupEvent" will advance to first event
    Throws:
      `ErrorMsg` - if more PileupEvents should be available, but could not be accessed.